"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SCORM_FILTER_PRESETS = exports.ORDERED_MERGED_STATUS = exports.ORDERED_COMPLETION_STATUS = exports.ORDERED_SUCCESS_STATUS = void 0;
exports.ORDERED_SUCCESS_STATUS = { unknown: 0, failed: 1, passed: 2 };
exports.ORDERED_COMPLETION_STATUS = {
    unknown: 0,
    "not attempted": 1,
    incomplete: 2,
    completed: 3,
};
exports.ORDERED_MERGED_STATUS = {
    "not attempted": 0,
    unknown: 0,
    browsed: 1,
    incomplete: 2,
    completed: 3,
    failed: 4,
    passed: 5,
};
exports.SCORM_FILTER_PRESETS = {
    "1.2": {
        STORYLINE_completed_incomplete: {
            completeStatus: ["passed", "failed"],
            successStatus: ["passed", "failed"],
            scoreMax: "blockAll",
            scoreMin: "blockAll",
            scoreRaw: "blockAll",
            scoreScaled: "blockAll",
        },
        STORYLINE_completed_failed: {
            completeStatus: ["passed"],
            successStatus: ["passed"],
            scoreMax: "blockAll",
            scoreMin: "blockAll",
            scoreRaw: "blockAll",
            scoreScaled: "blockAll",
        },
        STORYLINE_passed_incomplete: {
            completeStatus: ["completed", "failed"],
            successStatus: ["completed", "failed"],
        },
        STORYLINE_passed_failed: {
            completeStatus: ["completed", "incomplete"],
            successStatus: ["completed", "incomplete"],
        },
    },
    "2004": {
        STORYLINE_completed_incomplete: {
            successStatus: ["failed", "passed"],
            scoreMax: "blockAll",
            scoreMin: "blockAll",
            scoreRaw: "blockAll",
            scoreScaled: "blockAll",
        },
        STORYLINE_completed_failed: {
            successStatus: ["passed"],
            scoreMax: "blockAll",
            scoreMin: "blockAll",
            scoreRaw: "blockAll",
            scoreScaled: "blockAll",
        },
        STORYLINE_passed_incomplete: {
            successStatus: ["failed"],
        },
        STORYLINE_passed_failed: {},
    },
    local: {
        STORYLINE_completed_incomplete: {},
        STORYLINE_completed_failed: {},
        STORYLINE_passed_incomplete: {},
        STORYLINE_passed_failed: {},
    },
};
//# sourceMappingURL=constants.js.map