/**
 * Log levels
 * @typedef {"info" | "error" | "debug"} LogLevel
 */
/**
 * Min log levels
 * @typedef {"info" | "error" | "debug" | "all" | "none"} MinLogLevel
 */
export type LogLevel = "info" | "error" | "debug";
export type MinLogLevel = LogLevel | "all" | "none";
type Options = {
    sendLogs: boolean;
    minLogLevel: MinLogLevel;
};
declare class Logger {
    minLogLevel: MinLogLevel;
    sendLogs: boolean;
    prefix: string;
    constructor(context?: {
        env?: string;
        service?: string;
    }, options?: Options);
    shouldLog(level: LogLevel): boolean;
    log(level: LogLevel, msg: string): void;
    error(message: string): void;
    info(message: string): void;
    debug(message: string): void;
}
export default Logger;
