import { SCORMStorageType, NormalizeKeyValue, NormalizeInteractionKeyValue, NormalizeObjectiveKeyValue } from "./types";
export type SCORMKeyMap = {
    [key in keyof NormalizeKeyValue<SCORMStorageType>]: Record<SCORMStorageType, string | null>;
};
declare const baseKeyMap: SCORMKeyMap;
export type SCORMInteractionKeyMap = {
    [key in keyof NormalizeInteractionKeyValue<SCORMStorageType>]: {
        [key in SCORMStorageType]: string;
    };
};
declare const interactionKeyMap: SCORMInteractionKeyMap;
export type SCORMObjectiveKeyMapInterface = {
    [key in keyof NormalizeObjectiveKeyValue<SCORMStorageType>]: {
        [key in SCORMStorageType]: string;
    };
};
declare const objectiveKeyMap: SCORMObjectiveKeyMapInterface;
export { baseKeyMap, interactionKeyMap, objectiveKeyMap };
