"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var chai_1 = __importDefault(require("chai"));
var utils_1 = __importDefault(require("./utils"));
var expect = chai_1.default.expect;
describe("utils unit test", function () {
    describe("scorm12FormatTime", function () {
        it("should format 48 hours in Ms into a correct CMITimespan for scorm 1.2 sesion time", function () {
            var oneHourinMS = 48 * 60 * 60 * 1000;
            var formatedOneHour = utils_1.default.scorm12FormatTime(oneHourinMS);
            expect(formatedOneHour).to.equal("0048:00:00.00");
        });
        it("should format fourty thousand hours in Ms into a correct CMITimespan for scorm 1.2 sesion time", function () {
            var oneHourinMS = 40000 * 60 * 60 * 1000;
            var formatedOneHour = utils_1.default.scorm12FormatTime(oneHourinMS);
            expect(formatedOneHour).to.equal("9999:00:00.00");
        });
        it("should format 48 hours 5 minutes and 27 seconds in Ms into a correct CMITimespan for scorm 1.2 sesion time", function () {
            var oneHourinMS = 48 * 60 * 60 * 1000 + 5 * 60 * 1000 + 27 * 1000;
            var formatedOneHour = utils_1.default.scorm12FormatTime(oneHourinMS);
            expect(formatedOneHour).to.equal("0048:05:27.00");
        });
    });
});
//# sourceMappingURL=utils.test.js.map